#include <stdio.h>

int main(){
    int a,n1,sum1,n2,sum2;
    n1 = sum1 = n2 = sum2 = 0;
    printf("num: ");
    a = 1;
    while(scanf("%d", &a) && a != 0){
        if (a % 2 == 0){n1++; sum1 += a;}
	else ({n2++; sum2 += a;});
        printf("num: ");
    }
    printf("eve nums: %d \t eve summ: %d \t mean: %d\n",n1,sum1,(sum1/n1));
    printf("odd nums: %d \t odd summ: %d \t mean: %d",n2,sum2,(sum2/n2));
    return 0;
}
